// Scancode's SSCTF5 Shader, All shaders in this file were created by Scancode or based from id's release shaders.

textures/ssctf5/clang_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
 	surfaceparm metalsteps	   
}

textures/ssctf5/s_moodsky
{
	qer_editorimage textures/skies/pjbasesky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512 
	// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
//	q3map_sun	0.266383 0.274632 0.358662 100 45 74
	q3map_sun	0.266383 0.274632 0.358662 100 315 85
	q3map_surfacelight 100

	skyparms - 200 -
	
	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.015 0.016
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/skies/pjbasesky.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.01 -0.012
		tcMod scale 5 5
	}
}


textures/ssctf5/scan_dirtwater
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 50
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}

// re-adjusting surface light for id shader
textures/ssctf5/s_patch10_pj_lite
{
        qer_editorimage textures/base_light/patch10_pj_lite.tga
	q3map_surfacelight 600
	surfaceparm nomarks
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/patch10_pj_lite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/patch10_pj_lite.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


// combo texture + shader to reduce verts on base trimmage
textures/ssctf5/s_xian_dm3padwall
{
	q3map_surfacelight 100
	q3map_lightimage textures/sfx/xian_dm3padwallglow.tga
	qer_editorimage textures/ssctf5/s_padmet.tga


	{
		map textures/ssctf5/s_padmet.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/ssctf5/s_padmetglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}

}
// combo texture + shader to reduce verts on base trimmage + red
textures/ssctf5/s_xian_dm3padwall_red
{
	q3map_surfacelight 100
	q3map_lightimage textures/ssctf5/s_xian_dm3padwallglow_red.tga
	qer_editorimage textures/ssctf5/s_padmet.tga

	{
		map textures/ssctf5/s_padmet.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/ssctf5/s_padmetglow_red.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}

}


// red xian_dm3padwall
textures/ssctf5/s_red_xian_dm3padwall
{
	q3map_surfacelight 100
	q3map_lightimage textures/ssctf5/s_padmetglow_red.tga
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ssctf5/s_padmetglow_red.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
	
}


// id's with less light
textures/ssctf5/s_skylight1
{
	qer_editorimage textures/base_floor/skylight1.tga
	q3map_lightimage textures/base_floor/skylight1_lm.tga
	q3map_surfacelight 30
	
        {
		map $lightmap
		rgbGen identity
	}
        {
		map textures/base_floor/skylight1.tga
		blendfunc gl_dst_color gl_zero
                rgbGen identity
	}	
        {
		map textures/base_floor/skylight1_lm.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle .2 2 0 7.7
	}
        {
		map textures/base_floor/skylight1_lm.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle .2 5 1 5.1
	}
    	
}

// red banner 
textures/ssctf5/s_redbase
{
	q3map_lightimage textures/ssctf5/s_redbase.tga
        q3map_surfacelight 100
	{
		map textures/ssctf5/s_redbase.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     
textures/ssctf5/s_bluebase
{
	q3map_lightimage textures/ssctf5/s_bluebase.tga
        q3map_surfacelight 100
	{
		map textures/ssctf5/s_bluebase.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     

textures/ssctf5/s_scanban
{
	q3map_lightimage textures/ssctf5/s_scanban.tga
        q3map_surfacelight 35
	{
		map textures/ssctf5/s_scanban.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     

textures/ssctf5/s_redmetal2b
{
	qer_editorimage textures/ssctf5/redmetal2b.tga
	q3map_surfacelight 100
	q3map_lightimage textures/ssctf5/redmetal2bglow.tga


	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ssctf5/redmetal2b.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}


	{
		map textures/ssctf5/redmetal2bglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 .2
	}
}

// had to rename graphic cause the shader was same name as file, ='s bad.
textures/ssctf5/s_pjgrate1
{
	qer_editorimage textures/ssctf5/s_pjgrate1.tga

	surfaceparm	metalsteps		
	surfaceparm	trans
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/ssctf5/s_pjgrate1.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// for t-juncs on jp's
textures/ssctf5/ssctf5_jptrim
{     
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/ssctf5/ssctf5_jptrim.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ssctf5/s_scancode
{    
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight   
	{
		map textures/ssctf5/s_scancode.tga
                blendFunc add
		rgbGen vertex
	}
}
